Page MenuHomeFreeBSD

D3150.1789687351.diff
No OneTemporary

Size
870 B
Referenced Files
None
Subscribers
None

D3150.1789687351.diff

Index: head/Mk/Scripts/do-depends.sh
===================================================================
--- head/Mk/Scripts/do-depends.sh
+++ head/Mk/Scripts/do-depends.sh
@@ -140,12 +140,21 @@
fi
fi
- case ${pattern} in
- *\>*|*\<*|*=*) fct=find_package ;;
- lib*.so*) fct=find_lib ;;
- /nonexistent) fct=false ;;
- /*) fct=find_file ;;
- *) fct=find_file_path ;;
+ case ${dp_DEPTYPE} in
+ LIB_DEPENDS)
+ case ${pattern} in
+ lib*.so*) fct=find_lib ;;
+ *)
+ echo "Error: pattern ${pattern} in LIB_DEPENDS is not valid"
+ exit 1 ;;
+ esac ;;
+ *)
+ case ${pattern} in
+ *\>*|*\<*|*=*) fct=find_package ;;
+ /nonexistent) fct=false ;;
+ /*) fct=find_file ;;
+ *) fct=find_file_path ;;
+ esac ;;
esac
if ${fct} "${pattern}" ; then
continue

File Metadata

Mime Type
text/plain
Expires
Thu, Sep 17, 11:22 PM (3 h, 44 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
29735145
Default Alt Text
D3150.1789687351.diff (870 B)

Event Timeline